Bug 1346738 - With latest build calamari-server-1.4.1-1.el7cp, calamari does not start properly
Summary: With latest build calamari-server-1.4.1-1.el7cp, calamari does not start prop...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 2.0
Assignee: Christina Meno
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks: 1343229
TreeView+ depends on / blocked
 
Reported: 2016-06-15 09:35 UTC by Shubhendu Tripathi
Modified: 2016-08-23 19:41 UTC (History)
7 users (show)

Fixed In Version: RHEL: calamari-server-1.4.2-1.el7cp, Ubuntu: calamari_1.4.2-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:41:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1755 0 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Shubhendu Tripathi 2016-06-15 09:35:46 UTC
Description of problem:
With latest build calamari-server-1.4.1-1.el7cp.x86_64 calamri-citl initialize with user/password happens properly, but when we try to access the django URL its does not open.

Also "supervisorctl status" command on calamari node shows the below error

-------------------------------------------------
[root@dhcp46-181 ~]# supervisorctl status
unix:///var/tmp/supervisor.sock no such file
[root@dhcp46-181 ~]# service supervisord status
Redirecting to /bin/systemctl status  supervisord.service
● supervisord.service - Process Monitoring and Control Daemon
   Loaded: loaded (/usr/lib/systemd/system/supervisord.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

Jun 15 13:41:34 dhcp46-181.lab.eng.blr.redhat.com systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
-----------------------------------------------


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Provision a USM server and two storage nodes (1 mon + 1 osd)
2. Execute cluster creation from USM
3. 

Actual results:
All calamari API calls fail as calamari is not up

Expected results:
Calamari should come up properly and server the requests

Additional info:
Falling back to older version calamari-server-1.4.0-0.12.rc15.el7cp.x86_64 works fine.

Comment 2 Nishanth Thomas 2016-06-15 09:41:31 UTC
When you manually initialize and start the calamari, it starts up but still the URL is not accessable

Comment 3 Christina Meno 2016-06-15 19:04:53 UTC
https://github.com/ceph/calamari/pull/467

Comment 4 Christina Meno 2016-06-15 21:12:26 UTC
https://github.com/ceph/calamari/releases/tag/v1.4.2

Comment 7 Shubhendu Tripathi 2016-06-17 12:16:21 UTC
Find this working with build calamari-server-1.4.2-1.el7cp.x86_64

Comment 8 Rachana Patel 2016-06-17 18:38:52 UTC
Did Installation of ceph cluster using "ceph-installer(API)"

gave calamari: true in API request.
finding:-
- on mon node 

[root@magna084 ubuntu]# rpm -qa | grep calamari
calamari-server-1.4.2-1.el7cp.x86_64

[root@magna084 ubuntu]# service supervisorctl status
Redirecting to /bin/systemctl status  supervisorctl.service
● supervisorctl.service
   Loaded: not-found (Reason:


webui is not accessible.


version:-
========
calamari-server-1.4.2-1.el7cp.x86_64
ceph - 10.2.2-2.el7cp.x86_64
ceph-installer-1.0.12-2.el7scon.noarch

Comment 9 Martin Kudlej 2016-08-05 08:56:24 UTC
Tested with 
Ubuntu
calamari-server	1.4.8-2redhat1xenial
ceph-base	10.2.2-25redhat1xenial
ceph-common	10.2.2-25redhat1xenial
ceph-mon	10.2.2-25redhat1xenial
libcephfs1	10.2.2-25redhat1xenial
python-cephfs	10.2.2-25redhat1xenial
rhscon-agent	0.0.16-2redhat1xenial

Rhel
calamari-server-1.4.8-1.el7cp.x86_64
ceph-base-10.2.2-33.el7cp.x86_64
ceph-common-10.2.2-33.el7cp.x86_64
ceph-mon-10.2.2-33.el7cp.x86_64
ceph-selinux-10.2.2-33.el7cp.x86_64
libcephfs1-10.2.2-33.el7cp.x86_64
python-cephfs-10.2.2-33.el7cp.x86_64
rhscon-agent-0.0.16-1.el7scon.noarch

Comment 11 errata-xmlrpc 2016-08-23 19:41:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1755.html


Note You need to log in before you can comment on or make changes to this bug.